Enrich
Enrich profile
Use this endpoint to enrich a LinkedIn profile and its primary company
POST
https://api.talktohumans.app
/
v1
/
enrich
curl --request POST \
--url https://api.talktohumans.app/v1/enrich \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "42",
"linkedin_url": "https://www.linkedin.com/in/jane-doe/"
}
'{
"data": {
"linkedin_enrichment": {
"profile": {
"participant": {
"provider": "linkedin",
"provider_participant_id": "urn:li:fsd_profile:abc",
"kind": "member",
"public_identifier": "jane-doe",
"profile_url": "https://www.linkedin.com/in/jane-doe/",
"first_name": "Jane",
"last_name": "Doe",
"full_name": "Jane Doe",
"headline": "Founder at Acme",
"avatar_url": "https://media.licdn.com/dms/image/example/profile-displayphoto.jpg",
"background_cover_url": "https://media.licdn.com/dms/image/example/profile-cover.jpg",
"primary_company": {
"provider": "linkedin",
"provider_participant_id": "urn:li:fsd_company:123"
},
"primary_company_name": "Acme",
"primary_role_title": "Founder",
"profile_fetched_at": "2026-05-31T12:00:00Z",
"updated_at": "2026-05-31T12:00:00Z"
},
"languages": [
{
"language": "English",
"metadata_json": null
}
],
"experiences": [
{
"company": {
"provider": "linkedin",
"provider_participant_id": "urn:li:fsd_company:123"
},
"company_name": "Acme",
"title": "Founder",
"employment_type": "Full-time",
"location": "San Francisco Bay Area",
"start_at": "2021-01",
"end_at": null,
"is_current": true,
"description": "Building business software for sales teams.",
"metadata_json": null
}
],
"educations": [
{
"school": {
"provider": "linkedin",
"provider_participant_id": "urn:li:fsd_company:987"
},
"school_name": "Stanford University",
"degree": "MBA",
"field_of_study": "Business Administration",
"start_at": "2014",
"end_at": "2016",
"description": null,
"metadata_json": null
}
],
"locations": [
{
"source": "linkedin",
"sort_order": 0,
"is_primary": true,
"is_headquarter": false,
"linkedin_text": "San Francisco Bay Area",
"display_text": "San Francisco, California, United States",
"country_code": "US",
"region_code": "US-CA",
"country": "United States",
"country_full": "United States",
"state": "California",
"city": "San Francisco",
"geographic_area": "San Francisco Bay Area",
"line1": null,
"line2": null,
"postal_code": null,
"description": null,
"metadata_json": null
}
],
"industries": [
{
"sort_order": 0,
"industry_urn": "urn:li:industry:4",
"provider_industry_id": "4",
"name": "Software Development",
"title": "Software Development",
"hierarchy": "Technology > Software",
"metadata_json": null
}
]
},
"company": {
"participant": {
"provider": "linkedin",
"provider_participant_id": "urn:li:fsd_company:123",
"kind": "company",
"public_identifier": "acme",
"profile_url": "https://www.linkedin.com/company/acme/",
"full_name": "Acme",
"headline": "Software Development",
"avatar_url": "https://media.licdn.com/dms/image/example/company-logo.jpg",
"background_cover_url": "https://media.licdn.com/dms/image/example/company-cover.jpg",
"headcount": "51-200",
"employee_count": 120,
"website_url": "https://acme.example",
"follower_count": 12000,
"about": "Acme builds business software.",
"profile_fetched_at": "2026-05-31T12:00:00Z",
"updated_at": "2026-05-31T12:00:00Z"
},
"languages": [
{
"language": "English",
"metadata_json": null
}
],
"experiences": [
{
"company": null,
"company_name": "Acme",
"title": "Company profile",
"employment_type": null,
"location": "San Francisco, CA",
"start_at": null,
"end_at": null,
"is_current": true,
"description": null,
"metadata_json": null
}
],
"educations": [
{
"school": null,
"school_name": null,
"degree": null,
"field_of_study": null,
"start_at": null,
"end_at": null,
"description": null,
"metadata_json": null
}
],
"locations": [
{
"source": "linkedin",
"sort_order": 0,
"is_primary": true,
"is_headquarter": true,
"linkedin_text": "San Francisco, CA",
"display_text": "San Francisco, California, United States",
"country_code": "US",
"region_code": "US-CA",
"country": "United States",
"country_full": "United States",
"state": "California",
"city": "San Francisco",
"geographic_area": "San Francisco Bay Area",
"line1": null,
"line2": null,
"postal_code": null,
"description": null,
"metadata_json": null
}
],
"industries": [
{
"sort_order": 0,
"industry_urn": "urn:li:industry:4",
"provider_industry_id": "4",
"name": "Software Development",
"title": "Software Development",
"hierarchy": "Technology > Software",
"metadata_json": null
}
]
}
}
}
}Authorizations
Pass your API key as Authorization: Bearer <api_key>.
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
Provide exactly one target: contact_id, provider_participant_id, linkedin_url, or public_identifier.
Contact ID returned by GET /v1/contacts.
Pattern:
^[1-9][0-9]*$LinkedIn account ID returned by GET /v1/accounts. Required when the workspace has multiple LinkedIn accounts.
Pattern:
^[1-9][0-9]*$LinkedIn participant ID, such as urn:li:fsd_profile:abc.
LinkedIn profile URL.
LinkedIn public identifier from a profile URL.
Refresh cached enrichment data even when fresh data is already available.
Response
LinkedIn profile and primary company enrichment data.
Show child attributes
Show child attributes
Previous
List conversationsUse this endpoint to list and filter conversations from LinkedIn inbox or Sales Navigator.
Next
⌘I
curl --request POST \
--url https://api.talktohumans.app/v1/enrich \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "42",
"linkedin_url": "https://www.linkedin.com/in/jane-doe/"
}
'{
"data": {
"linkedin_enrichment": {
"profile": {
"participant": {
"provider": "linkedin",
"provider_participant_id": "urn:li:fsd_profile:abc",
"kind": "member",
"public_identifier": "jane-doe",
"profile_url": "https://www.linkedin.com/in/jane-doe/",
"first_name": "Jane",
"last_name": "Doe",
"full_name": "Jane Doe",
"headline": "Founder at Acme",
"avatar_url": "https://media.licdn.com/dms/image/example/profile-displayphoto.jpg",
"background_cover_url": "https://media.licdn.com/dms/image/example/profile-cover.jpg",
"primary_company": {
"provider": "linkedin",
"provider_participant_id": "urn:li:fsd_company:123"
},
"primary_company_name": "Acme",
"primary_role_title": "Founder",
"profile_fetched_at": "2026-05-31T12:00:00Z",
"updated_at": "2026-05-31T12:00:00Z"
},
"languages": [
{
"language": "English",
"metadata_json": null
}
],
"experiences": [
{
"company": {
"provider": "linkedin",
"provider_participant_id": "urn:li:fsd_company:123"
},
"company_name": "Acme",
"title": "Founder",
"employment_type": "Full-time",
"location": "San Francisco Bay Area",
"start_at": "2021-01",
"end_at": null,
"is_current": true,
"description": "Building business software for sales teams.",
"metadata_json": null
}
],
"educations": [
{
"school": {
"provider": "linkedin",
"provider_participant_id": "urn:li:fsd_company:987"
},
"school_name": "Stanford University",
"degree": "MBA",
"field_of_study": "Business Administration",
"start_at": "2014",
"end_at": "2016",
"description": null,
"metadata_json": null
}
],
"locations": [
{
"source": "linkedin",
"sort_order": 0,
"is_primary": true,
"is_headquarter": false,
"linkedin_text": "San Francisco Bay Area",
"display_text": "San Francisco, California, United States",
"country_code": "US",
"region_code": "US-CA",
"country": "United States",
"country_full": "United States",
"state": "California",
"city": "San Francisco",
"geographic_area": "San Francisco Bay Area",
"line1": null,
"line2": null,
"postal_code": null,
"description": null,
"metadata_json": null
}
],
"industries": [
{
"sort_order": 0,
"industry_urn": "urn:li:industry:4",
"provider_industry_id": "4",
"name": "Software Development",
"title": "Software Development",
"hierarchy": "Technology > Software",
"metadata_json": null
}
]
},
"company": {
"participant": {
"provider": "linkedin",
"provider_participant_id": "urn:li:fsd_company:123",
"kind": "company",
"public_identifier": "acme",
"profile_url": "https://www.linkedin.com/company/acme/",
"full_name": "Acme",
"headline": "Software Development",
"avatar_url": "https://media.licdn.com/dms/image/example/company-logo.jpg",
"background_cover_url": "https://media.licdn.com/dms/image/example/company-cover.jpg",
"headcount": "51-200",
"employee_count": 120,
"website_url": "https://acme.example",
"follower_count": 12000,
"about": "Acme builds business software.",
"profile_fetched_at": "2026-05-31T12:00:00Z",
"updated_at": "2026-05-31T12:00:00Z"
},
"languages": [
{
"language": "English",
"metadata_json": null
}
],
"experiences": [
{
"company": null,
"company_name": "Acme",
"title": "Company profile",
"employment_type": null,
"location": "San Francisco, CA",
"start_at": null,
"end_at": null,
"is_current": true,
"description": null,
"metadata_json": null
}
],
"educations": [
{
"school": null,
"school_name": null,
"degree": null,
"field_of_study": null,
"start_at": null,
"end_at": null,
"description": null,
"metadata_json": null
}
],
"locations": [
{
"source": "linkedin",
"sort_order": 0,
"is_primary": true,
"is_headquarter": true,
"linkedin_text": "San Francisco, CA",
"display_text": "San Francisco, California, United States",
"country_code": "US",
"region_code": "US-CA",
"country": "United States",
"country_full": "United States",
"state": "California",
"city": "San Francisco",
"geographic_area": "San Francisco Bay Area",
"line1": null,
"line2": null,
"postal_code": null,
"description": null,
"metadata_json": null
}
],
"industries": [
{
"sort_order": 0,
"industry_urn": "urn:li:industry:4",
"provider_industry_id": "4",
"name": "Software Development",
"title": "Software Development",
"hierarchy": "Technology > Software",
"metadata_json": null
}
]
}
}
}
}